Bug 833323 - Wrong/No completion for the second field constraint in Drools Rule Editor
Wrong/No completion for the second field constraint in Drools Rule Editor
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity medium
: CR2
: 5.3.0 GA
Assigned To: Default User
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 04:40 EDT by Toshiya Kobayashi
Modified: 2014-10-15 13:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There were problems concerning the code completion feature in the Drools Rule Editor. When users attempted to use this feature on the second field constraint, the completion would fail to occur. This problem has now been addressed. The code completion feature works as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-12210 None None None 2014-07-15 00:39:36 EDT
JBoss Issue Tracker JBIDE-12285 None None None 2014-07-15 00:39:36 EDT

  None (edit)
Description Toshiya Kobayashi 2012-06-19 04:40:42 EDT
Description of problem:

See details in https://issues.jboss.org/browse/JBIDE-12210
  
Actual results:

# please download test case from JBIDE-12210

Sample01.drl : Click ctrl+space after ',' -> no popup
Sample02.drl : Click ctrl+space after ',' -> wrong popup including 'type'

Expected results:

Sample01.drl : Click ctrl+space after ',' -> popup including 'name'
Sample02.drl : Click ctrl+space after ',' -> popup including 'name'
Comment 2 Rick Wagner 2012-06-28 10:16:39 EDT
GSS has a customer concerned with this issue.  Could we please address it before the tooling goes GA?

Thanks,

Rick
Comment 4 Len DiMaggio 2012-06-28 10:45:14 EDT
Link to: JBIDE-12210
Comment 5 JBoss JIRA Server 2012-07-06 11:30:41 EDT
Douglas Palmer <dpalmer@redhat.com> updated the status of jira JBIDE-12210 to Resolved
Comment 6 JBoss JIRA Server 2012-07-06 11:30:41 EDT
Douglas Palmer <dpalmer@redhat.com> made a comment on jira JBIDE-12210

Fixed upstream
Comment 7 JBoss JIRA Server 2012-07-06 11:31:05 EDT
Douglas Palmer <dpalmer@redhat.com> updated the status of jira JBIDE-12285 to Resolved
Comment 8 JBoss JIRA Server 2012-07-06 11:31:05 EDT
Douglas Palmer <dpalmer@redhat.com> made a comment on jira JBIDE-12285

Fixed upstream
Comment 10 Lukáš Petrovický 2012-07-11 08:33:29 EDT
VERIFIED with the bits from http://www.qa.jboss.com/binaries/RHDS/updates/development/5.0.0.CR2.soa-tooling/
Comment 11 JBoss JIRA Server 2012-07-11 12:00:50 EDT
Jiri Peterka <jpeterka@redhat.com> updated the status of jira JBIDE-12285 to Closed
Comment 12 JBoss JIRA Server 2012-07-11 12:00:53 EDT
Jiri Peterka <jpeterka@redhat.com> updated the status of jira JBIDE-12210 to Closed
Comment 13 Suz 2012-07-16 20:16:56 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
There were problems concerning the code completion feature in the Drools Rule Editor. When users attempted to use this feature on the second field constraint, the completion would fail to occur. This problem has now been addressed. The code completion feature works as expected.

Note You need to log in before you can comment on or make changes to this bug.